# LabelPosition

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the position of the [LabelWrapper](/api/wisej.web/editors/wisej.web.labelwrapper.md) associate to a [TextBox](/api/wisej.web/editors/wisej.web.textbox.md), [ComboBox](/api/wisej.web/lists-and-grids/combobox.md), [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md), [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md), [DomainUpDown](/api/wisej.web/editors/domainupdown.md), [ListBox](/api/wisej.web/lists-and-grids/listbox.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum LabelPosition : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum LabelPosition As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                                           |
| ---------- | ----------------------------------------------------------------------------------------------------- |
| **Bottom** | The label is placed below the control.                                                                |
| **Inside** | The label is placed inside the control and moved outside to the top when the control gains the focus. |
| **Left**   | The label is placed to the left the control.                                                          |
| **Right**  | The label is placed to the right of the control.                                                      |
| **Top**    | The label is placed above the control.                                                                |

## Used By

| Name                                                                               | Description                                                                             |
| ---------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------- |
| [LabelWrapper.Position](/api/wisej.web/editors/wisej.web.labelwrapper.md#position) | Returns or sets the position of the label in relation to the associated editor control. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.labelposition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
